function ext_model_info = create_ext_model_info(model_info)
% function result_struct = compress_result_struct(result_struct);
%
%
% CVS_Version_String = '$Id: create_ext_model_info.m,v 1.5 2003/11/04 10:34:06 tuerk Exp $';
% CVS_Name_String = '$Name: rel-1-4-01 $';

% ###########################################################
%
% This file is part of the matlab scripts of the MASV System.
% MASV = Munich Automatic Speaker Verification
%
% Copyright 2002-2003, Ulrich Trk
% Institute of Phonetics and Speech Communication
% University of Munich
% tuerk@phonetik.uni-muenchen.de
%
%
%   MASV is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.
%
%   MASV is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
%   along with MASV; if not, write to the Free Software
%   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
% ###########################################################

	SR_lib;
	
	if (isempty(model_info)),
		ext_model_info = {};
		return
	end
	
	s_sessions_preDefined = {};
	for i = 1:4,
		s_sessions_preDefined{i} = sessions_lists{i};
	end
	
	if (isfield(model_info,'session_lists_to_view')),
		for i = 1:length(model_info.session_lists_to_view),
			s_sessions_preDefined{end+1} = model_info.session_lists_to_view(i);
		end
	end

	ext_model_info = model_info;
	ext_model_info.preDefined = s_sessions_preDefined;
	
