function return_value = plot_worldTraining_iterations(sv_system_name)
% function return_value = plot_worldTraining_iterations(sv_system_name)
%
% CVS_Version_String = '$Id: plot_worldTraining_iterations.m,v 1.6 2004/02/13 13:21:12 tuerk Exp $';
% CVS_Name_String = '$Name: rel-1-4-01 $';

% ###########################################################
%
% This file is part of the matlab scripts of the MASV System.
% MASV = Munich Automatic Speaker Verification
%
% Copyright 2002-2003, Ulrich Trk
% Institute of Phonetics and Speech Communication
% University of Munich
% tuerk@phonetik.uni-muenchen.de
%
%
%   MASV is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.
%
%   MASV is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
%   along with MASV; if not, write to the Free Software
%   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
% ###########################################################



	 SR_lib;
	 
     
     
     %figure_handle=figure;
     %set(figure_handle, 'Position', [560 650 680 200]);

     %hold on;

     for iteration = 1:15,
			iteration_str = num2str(iteration);
			
			system_string = ['run_worldModelTest.pl ', sv_system_name, ' ', iteration_str]
			unix(system_string);
			
			result_file = fullfile(basepath, sv_system_name, 'world', 'hresults_output.txt');
			line_array = textread(result_file,'%s','delimiter','\n','whitespace','');
			corr_line = strmatch('WORD: ', line_array);
			theLine = line_array{corr_line};
			begin_index = findstr('%Corr=',theLine);
			end_index = findstr(',',theLine);
			corr = str2num(theLine(begin_index+6:end_index(1)-1));
			corr_array(iteration) = corr;
	 end % for iteration

     %legend_handle=legend(bar_handles,test_names);
     %title_handle=title(strcat('Model: ', model_name) );
     %set(figure_handle,'Name',strcat('Model: ', model_name))

     % iteration = 1:15;
     % for vp = 1:length(llh_struct),
		% plot_handle=plot(iteration,max_llh(:,vp));
     % end
	 return_value = corr_array;

% return_value = figure_handle;
	
